### Method

# Gimp LinkLayer set_file

since: 3.2

#### Declaration [src]

    gboolean
    gimp_link_layer_set_file (
      GimpLinkLayer* layer,
      GFile* file
    )

#### Description [src]

Set the monitored file.

This procedure sets the file to be monitored. It may change the layer’s render.

Available since: 3.2

#### Parameters

`file`

  Type: `GFile`

  The file to monitor.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.